Program Creation and Destruction Functions

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Program Creation and Destruction Functions
Embryo

Functions that set up programs, and destroy them. More...

## Functions
EAPI Embryo_Program * | embryo_program_new (void *data, int size)
| Creates a new Embryo program, with bytecode data that can be freed.
EAPI Embryo_Program * | embryo_program_const_new (void *data, int size)
| Creates a new Embryo program, with bytecode data that cannot be freed.
EAPI Embryo_Program * | embryo_program_load (const char *file)
| Creates a new Embryo program based on the bytecode data stored in the given file.
EAPI void | embryo_program_free (Embryo_Program *ep)
| Frees the given Embryo program.

## Detailed Description

Functions that set up programs, and destroy them.

## Function Documentation

## ◆ embryo_program_new()

EAPI Embryo_Program * embryo_program_new | ( | void * | data,
|  | int | size
| ) |  |

Creates a new Embryo program, with bytecode data that can be freed.

Parameters

  data | Pointer to the bytecode of the program.
  size | Number of bytes of bytecode.

Returns
  A new Embryo program.

Referenced by embryo_program_load().

## ◆ embryo_program_const_new()

EAPI Embryo_Program * embryo_program_const_new | ( | void * | data,
|  | int | size
| ) |  |

Creates a new Embryo program, with bytecode data that cannot be freed.

Parameters

  data | Pointer to the bytecode of the program.
  size | Number of bytes of bytecode.

Returns
  A new Embryo program.

## ◆ embryo_program_load()

EAPI Embryo_Program * embryo_program_load | ( | const char * | file | ) |

Creates a new Embryo program based on the bytecode data stored in the given file.

Parameters

  file | Filename of the given file.

Returns
  A new Embryo program.

References embryo_program_new(), and embryo_swap_32().

## ◆ embryo_program_free()

EAPI void embryo_program_free | ( | Embryo_Program * | ep | ) |

Frees the given Embryo program.

Parameters

  ep | The given program.